Summary:	Direct Connect Hub
Summary(pl.UTF-8):	Serwer Direct Connect
Name:		dchub
Version:	0.5.2
Release:	23
License:	GPL
Group:		Applications/Communications
Source0:	http://ac2i.homelinux.com/dctc/%{name}-%{version}.tar.gz
# Source0-md5:	673a43cde95bce2c2acba2cfab83d527
Patch0:		%{name}-configdir.patch
Patch1:		%{name}-init.patch
Patch2:		%{name}-crcdir.patch
Patch3:		%{name}-pic.patch
Patch4:		am.patch
Patch5:		format-security.patch
Patch6:		trampoline.patch
Patch7:		missing-extern.patch
URL:		http://ac2i.homelinux.com/dctc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
# for AM_PATH_GLIB macro
BuildRequires:	glib-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libgcrypt-devel >= 1.1.12
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	perl-Locale-gettext
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dchub is a hub of direct connect file sharing network.

%description -l pl.UTF-8
dchub jest hubem sieci direct connect służącej do wymiany plików.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/rc.d/init.d,/var/lib/%{name}}
install dchub.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install plugin/AUTOSTART $RPM_BUILD_ROOT%{_libexecdir}/%{name}/plugins/AUTOSTART

# delete unnecesary files
%{__rm} $RPM_BUILD_ROOT%{_libexecdir}/%{name}/plugins/Makefile
%{__rm} $RPM_BUILD_ROOT%{_libexecdir}/%{name}/plugins/*.c
%{__rm} $RPM_BUILD_ROOT%{_libexecdir}/%{name}/plugins/*.h
%{__rm} -r $RPM_BUILD_ROOT%{_libexecdir}/%{name}/scripts/po

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dchub
%service dchub restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del dchub
	%service dchub stop
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%doc Documentation/{Global,commands,configuration_file,ext_prog,hub_cluster.postv0.4.0,plugin,protocol_extension,scripts,user_file}
%lang(de) %doc Documentation/*.de
%lang(fr) %doc Documentation/*.fr
%lang(nl) %doc Documentation/*.nl
%dir %{_sysconfdir}/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%dir %{_libexecdir}/%{name}
%dir %{_libexecdir}/%{name}/tools
%attr(755,root,root) %{_libexecdir}/%{name}/tools/*
%dir %{_libexecdir}/%{name}/extprog
%config(noreplace) %verify(not md5 mtime size) %{_libexecdir}/%{name}/extprog/AUTOSTART
%attr(755,root,root) %{_libexecdir}/%{name}/extprog/[CDPdm]*
%dir %{_libexecdir}/%{name}/plugins
%config(noreplace) %verify(not md5 mtime size) %{_libexecdir}/%{name}/plugins/AUTOSTART
%attr(755,root,root) %{_libexecdir}/%{name}/plugins/*.so
%dir %{_libexecdir}/%{name}/scripts
%attr(755,root,root) %{_libexecdir}/%{name}/scripts/*.pl
%config(noreplace) %verify(not md5 mtime size) %{_libexecdir}/%{name}/scripts/dchub_scripts.conf
%dir %{_libexecdir}/%{name}/scripts/i18n
%lang(de) %{_libexecdir}/%{name}/scripts/i18n/de
%lang(fr) %{_libexecdir}/%{name}/scripts/i18n/fr
%lang(hu) %{_libexecdir}/%{name}/scripts/i18n/hu
%lang(sv) %{_libexecdir}/%{name}/scripts/i18n/sv
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir /var/lib/%{name}
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dchub.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 2bf74e5
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 4042a8a
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 8a1b0d7
- rebuild with perl 5.34.0

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> 186af03
- fix missing extern for global var
- rel 20

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2d4a25c
- rediff patch

* Fri Dec 06 2019 Jan Rękorajski <baggins@pld-linux.org> c3765a8
- fix nested function trampoline gcc error
- rel 19

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 3069642
- libexec fixes
- rel 18

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4b8d856
- perl req/prov fix
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 711eb8a
- rebuild with perl 5.26
- release 16 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f84618a
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5ebedb9
- release 14 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 68053d5
- updated gettext BR

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ab349c2
- rebuild for perl 5.20
- release 13 (by relup.sh)

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e506550
- release 12 (by relup.sh)

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> d81ef06
- more automake hackery
- fix format string errors
- rel 11

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 85aa2ee
- fix building with automake 1.13
- rel 10

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b6e235f
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 0a06c42
- BR: gettext-devel, glib-devel (autoconf only), openssl-devel

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d820827
- release 8

* Sat Sep 12 2009 radek <radek@pld-linux.org> 9161ac7
- release 7: strict DynaLoader dep no longer required

